> ## Documentation Index
> Fetch the complete documentation index at: https://crossmint-wallets-docs-2-5.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Check Token Support

> Get a token by its locator



## OpenAPI

````yaml GET /v1-alpha2/tokens/{tokenLocator}
openapi: 3.0.1
info:
  description: |
    N/A
  version: 1.0.0
  title: Headless Checkout
  contact:
    name: Crossmint Headless Checkout APIs
    url: https://www.crossmint.com
    email: support@crossmint.com
servers:
  - url: https://staging.crossmint.com/api
    description: Staging environment (testnets)
  - url: https://www.crossmint.com/api
    description: Production environment (mainnets)
security: []
tags:
  - name: Headless Checkout
    description: APIs to use the headless checkout
paths:
  /v1-alpha2/tokens/{tokenLocator}:
    get:
      tags:
        - Headless
      summary: Check Supported Tokens
      description: >
        Get a token and its available features by its locator. This endpoint
        allows you to check if a specific token is supported by Crossmint and
        what features are available for it.


        **API scope required**: `orders.create`
      operationId: check-token-support
      parameters:
        - $ref: '#/components/parameters/tokenLocator'
      responses:
        '200':
          description: The token has been successfully retrieved.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportedTokenResponse'
        '400':
          description: >-
            Invalid arguments, please make sure you're following the api
            specification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/400Response'
        '403':
          description: Forbidden error, please ensure the credentials are correct.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/403Response'
        '404':
          description: Not found error.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/404Response'
        '503':
          description: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/503Response'
        '524':
          description: A timeout occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/524Response'
      security:
        - apiKey: []
        - clientApiKey: []
components:
  parameters:
    tokenLocator:
      name: tokenLocator
      in: path
      description: >-
        A unique identifier used to locate a specific fungible token on a
        blockchain. Currently, memecoin checkout only supports the Solana
        network. Format: `solana:<mintHash>` (e.g.
        `solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN`).
      required: true
      schema:
        type: string
        pattern: ^solana:[1-9A-HJ-NP-Za-km-z]{32,44}$
      example: solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
  schemas:
    SupportedTokenResponse:
      type: object
      title: The requested token and its availability
      description: Information regarding the token that was requested and its availability
      properties:
        token:
          type: string
          description: The token locator that was queried
          example: solana:6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN
        available:
          type: boolean
          description: Whether the token is supported by Crossmint
          example: true
        features:
          $ref: '#/components/schemas/TokenFeature'
      required:
        - token
        - available
        - features
    400Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Invalid arguments or empty parameter <missing parameter>.
    403Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Malformed API key. / API key provided doesn't have required scopes.
    404Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: Not found
    503Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: >-
            Please try again in a few minutes. If the issue still persists,
            contact Crossmint support.
    524Response:
      type: object
      properties:
        error:
          type: boolean
          example: true
        message:
          type: string
          example: A timeout occurred.
    TokenFeature:
      type: object
      title: Token features
      description: The features show if the token is supported for credit card payment.
      properties:
        creditCardPayment:
          type: boolean
          description: Whether credit card payment is available for this token
          example: true
      required:
        - creditCardPayment
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-API-KEY
      in: header
    clientApiKey:
      type: apiKey
      name: X-API-KEY
      in: header
      description: Client API key for public-facing operations

````